petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISSortRemoveDups

Sorts the indices of an index set, removing duplicates.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISSortRemoveDups(IS is)

Collective on IS

### Input Parameters

is -the index set

### See Also

ISSort(), ISSorted()

### Level

intermediate

### Location

src/vec/is/is/interface/index.c

### Implementations

ISSortRemoveDups_Block in src/vec/is/is/impls/block/block.c
ISSortRemoveDups_General in src/vec/is/is/impls/general/general.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages